<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbAccountBillingTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_account_billing', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_ab_a')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('service_id', 'fk_ab_s')->references('id')->on('ab_service')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_account_billing', function(Blueprint $table)
		{
			$table->dropForeign('fk_ab_a');
			$table->dropForeign('fk_ab_s');
		});
	}

}
